xcb_input_device_class_data_t Struct Reference
XCB Input API

xcb_input_device_class_data_t More...

`#include <xinput.h>`

Collaboration diagram for xcb_input_device_class_data_t:
[legend]

## Data Fields

struct { |
uint16_t num_keys |
uint32_t * keys |
} | key
struct { |
uint16_t num_buttons |
uint32_t * state |
xcb_atom_t * labels |
} | button
struct { |
uint16_t number |
xcb_atom_t label |
xcb_input_fp3232_t min |
xcb_input_fp3232_t max |
xcb_input_fp3232_t value |
uint32_t resolution |
uint8_t mode |
uint8_t pad0 [3] |
} | valuator
struct { |
uint16_t number |
uint16_t scroll_type |
uint8_t pad1 [2] |
uint32_t flags |
xcb_input_fp3232_t increment |
} | scroll
struct { |
uint8_t mode |
uint8_t num_touches |
} | touch
struct { |
uint8_t num_touches |
uint8_t pad2 |
} | gesture

## Detailed Description

xcb_input_device_class_data_t

The documentation for this struct was generated from the following file:

- xinput.h